%define	oname	trigger

Summary:	Rally racing game
Name:		%{oname}-rally
Version:	0.6.0
Release:	%mkrel 1
Source0:	http://downloads.sourceforge.net/trigger-rally/%{name}-%{version}-src.tar.bz2
Source1:	%{name}.png
Patch0:		trigger-0.5.2.1-nodoc.patch
License:	GPLv2
Group:		Games/Arcade
Url:		http://sourceforge.net/projects/trigger-rally/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	automake1.8
BuildRequires:	jam
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	freealut-devel
BuildRequires:	glew-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglut-devel
BuildRequires:	mesaglu-devel
BuildRequires:	openal-devel
BuildRequires:	physfs-devel
Requires:	%{name}-data

%description
Trigger is a fast-paced open source rally racing game.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1 -b .nodoc

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}/%{oname}
jam

%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} jam install
# only contains .a files
rm -rf %{buildroot}%{_libdir}

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Trigger Rally
Comment=%{Summary}
Exec=soundwrapper %{_gamesbindir}/%{oname}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_gamesbindir}/%{oname}
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Thu Dec 08 2011 Andrey Bondrov <abondrov@mandriva.org> 0.6.0-1mdv2012.0
+ Revision: 739033
- New version 0.6.0 (finally)

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 0.5.2.1-5mdv2010.0
+ Revision: 434461
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.5.2.1-4mdv2009.0
+ Revision: 261649
- rebuild
- rebuild

* Fri Jan 04 2008 Thierry Vignaud <tv@mandriva.org> 0.5.2.1-1mdv2008.1
+ Revision: 145563
- BR mesaglut-devel mesaglu-devel
- BR mesagl-devel
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot


* Tue Dec 05 2006 Olivier Blin <oblin@mandriva.com> 0.5.2.1-1mdv2007.0
+ Revision: 90847
- buildrequire SDL_image-devel
- initial Trigger Rally release
- Create trigger-rally

